OpenCities Map Readme

Supported Spatial Databases

Oracle Spatial

  • Server:
    • Oracle Database 19c Standard Edition or Enterprise Edition
    • Oracle Database 18c Standard Edition or Enterprise Edition
    • Oracle Database 12c Release 2 Standard Edition or Enterprise Edition
    • Oracle Database 11g Release 2 Standard Edition or Enterprise Edition
  • Client:
    • Oracle Database 19c Client x64
    • Oracle Database 18c Client x64
    • Oracle Database 12c Release 2 Client x64
    • Oracle Database 11g Release 2 Client x64

Note: If you use Oracle, ensure that you have the right features installed. The required modules and licenses may vary depending on the type of data that you use and the functionality required. Please refer to Oracle documentation: docs.oracle.com.

Microsoft SQL Server

Server:

  • Microsoft SQL Server 2019 Enterprise Edition, Standard Edition or Express Edition
  • Microsoft SQL Server 2017 Enterprise Edition, Standard Edition or Express Edition
  • Microsoft SQL Server 2016 Enterprise Edition, Standard Edition or Express Edition
  • Microsoft SQL Server 2014 Enterprise Edition, Standard Edition or Express Edition
  • Microsoft SQL Server 2012 Enterprise Edition, Standard Edition or Express Edition

PostgreSQL database with PostGIS spatial extension

  • PostGIS 2.4 extension on PostgreSQL 10.x and 11.x
  • PostGIS 2.5 extension on PostgreSQL 10.x, 11.x and 12.x
  • PostGIS 3.0 extension on PostgreSQL 10.x, 11.x and 12.x